> ## Documentation Index
> Fetch the complete documentation index at: https://docs.polymarket.us/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Subject By ID

> Get a subject by its ID



## OpenAPI

````yaml /api-reference/oapi-schemas/subjects-schema.json get /v1/subjects/{id}
openapi: 3.0.3
info:
  title: protos/gateway/subjects/v1/subjects.proto
  version: 1.0.0
servers:
  - url: https://gateway.polymarket.us
    description: Production server
security: []
tags:
  - name: SubjectsService
paths:
  /v1/subjects/{id}:
    get:
      tags:
        - Subjects
      summary: Get Subject By ID
      description: Get a subject by its ID
      operationId: SubjectsService_GetSubjectByID
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1GetSubjectByIDResponse'
components:
  schemas:
    v1GetSubjectByIDResponse:
      type: object
      properties:
        subject:
          $ref: '#/components/schemas/v1Subject'
    v1Subject:
      type: object
      properties:
        id:
          type: integer
          format: int32
          description: Subject ID
        name:
          type: string
          description: Subject name
        displayName:
          type: string
          description: Subject display name
          nullable: true
        description:
          type: string
          description: Subject description
          nullable: true
        subjectType:
          type: string
          description: Subject type (nominee, player, team, candidate, golf_player)
        image:
          type: string
          description: Subject image URL
          nullable: true
        color:
          type: string
          description: Subject color
          nullable: true
        darkColor:
          type: string
          description: Subject dark mode color
          nullable: true
        createdAt:
          type: string
          description: Creation timestamp
          nullable: true
        updatedAt:
          type: string
          description: Last update timestamp
          nullable: true
        slug:
          type: string
          description: Subject slug for URL
          nullable: true
      description: Subject information

````